diff --git a/src/backend/catalog/information_schema.sql b/src/backend/catalog/information_schema.sql
index 6e1b241..5efed4f 100644
--- a/src/backend/catalog/information_schema.sql
+++ b/src/backend/catalog/information_schema.sql
@@ -2713,9 +2713,9 @@ GRANT SELECT ON element_types TO PUBLIC;
 
 /* Base view for foreign table columns */
 CREATE VIEW _pg_foreign_table_columns AS
-    SELECT n.nspname,
-           c.relname,
-           a.attname,
+    SELECT CAST(n.nspname AS sql_identifier) AS nspname,
+           CAST(c.relname AS sql_identifier) AS relname,
+           CAST(a.attname AS sql_identifier) AS attname,
            a.attfdwoptions
     FROM pg_foreign_table t, pg_authid u, pg_namespace n, pg_class c,
          pg_attribute a
@@ -2841,8 +2841,8 @@ GRANT SELECT ON foreign_servers TO PUBLIC;
 CREATE VIEW _pg_foreign_tables AS
     SELECT
            CAST(current_database() AS sql_identifier) AS foreign_table_catalog,
-           n.nspname AS foreign_table_schema,
-           c.relname AS foreign_table_name,
+           CAST(n.nspname AS sql_identifier) AS foreign_table_schema,
+           CAST(c.relname AS sql_identifier) AS foreign_table_name,
            t.ftoptions AS ftoptions,
            CAST(current_database() AS sql_identifier) AS foreign_server_catalog,
            CAST(srvname AS sql_identifier) AS foreign_server_name,
